Subject: Re: bug#70796: 30.0.50; bug-reference-mode leading to constant GCing

From: "Tassilo Horn" <[email-masked]>
Date: Sat, 18 May 2024 17:49:15 +0200

Hi all,

it's the first day of my vacation so I'm away from the computer until next Saturday evening at best. But then I'll have a look. 

Bye, 
Tassilo 

Am Sa, 18. Mai 2024, um 10:07, schrieb Eli Zaretskii:
>> From: Gerd Möllmann <[email-masked]>
>> Cc: Ihor Radchenko <[email-masked]>,  [email-masked]
>> Date: Sat, 18 May 2024 08:27:15 +0200
>> 
>> Gerd Möllmann <[email-masked]> writes:
>> 
>> > Gerd Möllmann <[email-masked]> writes:
>> >
>> >> Eli Zaretskii <[email-masked]> writes:
>> >>
>> >>> So I'm not sure which part(s) of bug-reference.el make a lot of
>> >>> garbage, or why.
>> >>
>> >> This maybe completely wrong, but my suspicion was that bug-reference
>> >> somehow triggers Org fontification, which creates more garbage. If
>> >> that's possible...
>> >
>> > Maybe bug-reference-fontify should return a list (jit-lock-bounds beg
>> > end)? Looks to me like if it doesn't we could end up fontifying the
>> > whole buffer for Org. See jit-lock--run-functions.
>> >
>> > Not sure but the behaviour looks like somethign like that could be
>> > happening.
>> 
>> Ping
>
> Tassilo, could you please take a look at this?